---
- name: install packages
  apt: 
    pkg:
    - wget
    - python3-psycopg2
    - acl
    state: present 
    update_cache: true
- name: Add postgres repository apt-key
  apt_key:
    url: "https://www.postgresql.org/media/keys/ACCC4CF8.asc"
    state: present
- name: Add pglogical repository apt-key
  apt_key:
    url: "https://dl.2ndquadrant.com/gpg-key.asc"    
    state: present
- name: Add postgres repository
  apt_repository:
    repo: "deb https://apt.postgresql.org/pub/repos/apt/ {{ ansible_distribution_release }}-pgdg main"
    state: present
    update_cache: true
- name: Add 2ndquadrant repository
  apt_repository:
    repo: "deb [arch=amd64] https://dl.2ndquadrant.com/default/release/apt {{ ansible_distribution_release }}-2ndquadrant main"
    state: present
    update_cache: true
- name: install postgresql-{{ pg_version }} and pglogical-{{ pg_version }}
  apt:
    pkg:
    - postgresql-{{ pg_version }}
    - postgresql-{{ pg_version }}-pglogical
    state: present
    update_cache: yes
